import {useEffect} from 'react'
import {useUser} from "@/hooks/useUser";
import {Empty} from '@nutui/nutui-react-taro';
import {Text} from '@tarojs/components';

function Admin() {
  const {
    isAdmin
  } = useUser();

  useEffect(() => {
  }, []);

  if (!isAdmin()) {
    return (
      <Empty
        description="您不是管理员"
        imageSize={80}
        style={{
          backgroundColor: 'transparent',
          height: 'calc(100vh - 200px)'
        }}
      >

      </Empty>
    );
  }
  return (
    <>
      <Text>待开发...</Text>
    </>
  )
}

export default Admin
